unit UnitReportError;
{
    Purpose:
        Show and allow the user to report an error to my website

    Updates:
        Include ArsClip version in data string
}

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFrmReportError = class(TForm)
    Button1: TButton;
    Button2: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    lblURL: TLabel;
    GroupBox2: TGroupBox;
    lblProgram: TLabel;
    lblDesc: TLabel;
    Label2: TLabel;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure ShowForm( ProblemProgram : string);
  end;

var
  FrmReportError: TFrmReportError;

implementation
uses ShellAPI, StrUtils, UnitFrmAbout;
{$R *.dfm}

{ TFrmReportError }

procedure TFrmReportError.ShowForm(ProblemProgram : string);
begin
    lblProgram.caption := stringreplace(lblProgram.caption, '%s', ProblemProgram,[]);
    lblURL.caption := 'error=ArsClip' + FrmAbout.lblVersion.Caption +  '-ClipboardBreak-' + ProblemProgram;
    self.ShowModal;
    if (self.ModalResult = mrYes) then begin
        ShellAPI.ShellExecute(self.Handle, nil,
        PChar('http://jackass.arsware.org/reporterror.php?' + lblURL.caption), nil, nil, SW_HIDE);
    end;
end;

end.
